Subject: [bug#46366] [PATCH] gnu: Update zfs.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 8 Feb 2021 03:51:56 +0100

Hi raid5atemyhomework,

On Sun, 07 Feb 2021 15:18:34 +0000
raid5atemyhomework via Guix-patches via <[email-masked]> wrote:

> I am fairly unmotivated to continue working on ZFS-on-Guix, but anyway.  Here's an update of ZFS to 2.0.2, at least.
> 
> Tested only with `./pre-inst-env guix build zfs` on a patched Guix.  Fairly unmotivated to do more testing since there is no real interest in getting my patches merged.  Posting here just in case somebody actually gets interested.
> 
> I have ZFS and Guix on a fileserver I'm using in a homelab for my homework.  It's working for now.  Not really interested in pushing for better ZFS support anymore since I'm tired and need to get on with my homework.

I totally understand.

It's frustrating when well-tested complete patches get unanswered for several
weeks--it happened to me before.

In any case, I've asked whether someone who knows how to create a profile
in a service can finally review your patches.

I'm sorry.

Pushed the update of the zfs package to 2.0.2 to guix master as
commit 5424ca6d6e01672bf7304a4144b05a98852adbab.